it-swarm-ja.com

pipenv ModuleNotFoundError:再インストール後の「 'datetime'という名前のモジュールがありません」Python

最近Pythonを再インストールしようとしましたが、Pythonが正常にインストールされた後、pipenv Shellを実行しようとするたびにpython manage.pyを使用して仮想環境をアクティブ化した後、次のエラーが発生します。

Traceback (most recent call last):
  File "manage.py", line 10, in main
    from Django.core.management import execute_from_command_line
  File "C:\Users\moaha\.virtualenvs\restapi-Ks1Qcdgf\lib\site-packages\Django\__init__.py", line 1, in <module>     
    from Django.utils.version import get_version
  File "C:\Users\moaha\.virtualenvs\restapi-Ks1Qcdgf\lib\site-packages\Django\utils\version.py", line 1, in <module>
    import datetime
ModuleNotFoundError: No module named 'datetime'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "manage.py", line 21, in <module>
    main()
  File "manage.py", line 16, in main
    ) from exc
ImportError: Couldn't import Django. Are you sure it's installed and available on your PYTHONPATH environment variable? Did you forget to activate a 
virtual environment?

Python自体は正常に機能し、pipenvも機能し(環境を適切にアクティブ化します)、pippipenvで更新を実行しようとしました。何が起こっているのか、この問題を修正する方法がよくわかりません。

これが私の環境変数>パスがどのように見えるかです:

C:\Program Files (x86)\Python37-32\Scripts\

C:\Program Files (x86)\Python37-32\

また、runpyエラーが発生することがありますが、それが何らかの形で関連しているかどうかはわかりません。ただし、runpyの問題を再現できません。

どんな助けにも心から感謝します。ありがとう!

1
Ayaan Siddiqui

.virtualenvsにあるC:\Users\<user>\.virtualenvsフォルダーに移動し、問題が発生したすべてのプロジェクトフォルダーを削除することで、この問題を「解決」することができました(ハックジョブのようなものだと思いますか?)。 > pipenv Shellの後に> pipenv installを使用して、すべての依存関係をインストールします。

1
Ayaan Siddiqui